//************************************************************************************************
//
//    NOMBRE DEL ARCHIVO: Complejo.h
//    MDULO:
//    FECHA: 30-04-01
//    AUTOR: Jos Mara Azorn
//    DESCRIPCIN: Declaracin de la clase CComplejo.
//
//************************************************************************************************

#ifndef __COMPLEJO_H__
#define __COMPLEJO_H__

//--------------------------------------------------------------------
// Bloque de definiciones  comunes
//--------------------------------------------------------------------
// Definicin de constantes

// Definicin de macros

// Definicin de tipos de datos y clases
class CComplejo {

private:
	float real;	// parte real
	float imag;	// parte imaginaria
	
public:
	CComplejo(void);		// constructor por defecto
	CComplejo(float num_real, float num_imag = 0.0); // constructor a partir de dos reales
	CComplejo(const CComplejo &compl_orig);		// constructor copia
	~CComplejo(void);							// destructor

	void AsignarReal(float num_real);	// Asigna la parte real
	void AsignarImag(float num_imag);	// Asigna la parte imaginaria

 	void Visualizar(void);		// Muestra en pantalla el nmero complejo
    void IntroducirValores(void);
  		  
	CComplejo& operator = (const CComplejo & compl_orig);	// operador asignacin
    CComplejo operator + (const CComplejo &a);
    CComplejo operator - (const CComplejo &a);
    CComplejo operator * (const CComplejo &a);	    
   
};	// fin de la clase CComplejo


//--------------------------------------------------------------------
#ifndef    __COMPLEJO_CPP__
//--------------------------------------------------------------------
// Bloque de definiciones externas

// Variables Globales externas

//--------------------------------------------------------------------
#else
//--------------------------------------------------------------------
// Bloque de definiciones internas

// Prototipos de funciones internas

//--------------------------------------------------------------------
#endif		// Fin bloque de definiciones internas
#endif		// Fin bloque de la cabecera
